Subject: Re: [PATCH] Cleanup of unused symcache variable inside diff-lib.c

From: Kjetil Barvik <[email-masked]>
Date: Sun, 11 Jan 2009 21:09:23 +0100

Johannes Schindelin <[email-masked]> writes:
<snipp>
> My question was more: why do you do additional work and put a git diff 
> --raw between the commit message and the diffstat when that information is 
> in the patch already?

 Ok, I see.  I (re)used the 'git format-patch' command from previous
 run, and this time it was (without the line-breaks):

    git format-patch  --stat  --patch-with-raw -1 --signoff -M -C
       --summary --full-index --subject-prefix="PATCH"
       --output-directory ../diff_lib_c_symcache_cleanup_v1/

  Regarding the '--summary' I think it is a nice thing to do (so I try
  to always use it), and the '--full-index' is such that the git software
  have a less chance of producing a collision.

  -- kjetil